Bug 203966 - ImageMagic-perl-6.2.5.4-4.2.1.fc5.4 is a non-started (broken)
ImageMagic-perl-6.2.5.4-4.2.1.fc5.4 is a non-started (broken)
Status: CLOSED DUPLICATE of bug 203975
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Norm Murray
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 14:45 EDT by Elan Kaplan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 23:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elan Kaplan 2006-08-24 14:45:26 EDT
I am marking this urgent as the update which is broken is meant to address a
serious security issue.

Description of problem:
After installing the latest update of ImageMagick and the corresponding
ImageMagick-perl (6.2.5.4-4.2.1.fc5.4) ImageMagick-perl no longer works at all  

Version-Release number of selected component (if applicable):
6.2.5.4-4.2.1.fc5.4

How reproducible:

Every time.


Steps to Reproduce:

1) Install both packages
2) Create the following perl script:

#!/usr/bin/perl
use Image::Magick;
print "hello world";

 
  
Actual results:

You will get the following error:
perl: symbol lookup error: /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/
auto/Image/Magick/Magick.so: undefined symbol: InitializeMagick


Expected results:

hello world

Additional info:

verified on two separate FC5 vanilla servers.
Comment 1 Norm Murray 2006-09-05 23:25:28 EDT

*** This bug has been marked as a duplicate of 203975 ***

Note You need to log in before you can comment on or make changes to this bug.